//
//  TSTSIslandView.swift
//  AIRingtone
//
//  Created by 100Years on 2025/3/2.
//

class TSTSIslandView: TSBaseView {
    lazy var showImageView: UIImageView = {
        let showImageView = UIImageView()
        showImageView.layer.cornerRadius = 28
        showImageView.clipsToBounds = true
        showImageView.contentMode = .scaleAspectFill
        return showImageView
    }()
    
    
    lazy var islandImageView: UIImageView = {
        let islandImageView = UIImageView.createImageView(imageName: "theme_phone_Island",contentMode: .scaleAspectFill)
        return islandImageView
    }()
    
    override func creatUI() {
        
        contentView.addSubview(islandImageView)
        islandImageView.snp.makeConstraints { make in
            make.edges.equalToSuperview()
        }
        
        islandImageView.addSubview(showImageView)
        showImageView.snp.makeConstraints { make in
            make.centerY.equalToSuperview()
            make.leading.equalTo(24)
            make.width.height.equalTo(56)
        }
    }
}
